Page MenuHomePhabricator

TMH lacks obvious way to batch-encode new transcodes for old files
Closed, ResolvedPublic

Description

I can't find a maint script or other obvious way to queue transcodes that weren't previously queued (eg at upload time). This would seem to be an issue for adding new output formats (eg T101716)

I know we've batch-added transcodes before, so there must be some way.... or have been...

Details

Related Gerrit Patches:
mediawiki/extensions/TimedMediaHandler : masterNew requeueTranscodes.php maint script for TMH

Event Timeline

brion created this task.Jun 11 2015, 3:25 AM
brion raised the priority of this task from to Needs Triage.
brion updated the task description. (Show Details)
brion added a project: TimedMediaHandler.
brion added a subscriber: brion.
Restricted Application added a project: Multimedia. · View Herald TranscriptJun 11 2015, 3:25 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
brion added a comment.Jun 19 2015, 4:17 PM

Workaround: fetch a list of all items to be batch-encoded, then have a bot ping the API transcode reset one (or a few) at a time.

At least it can be throttled, eh? :D

If only there wasn't T63401, T49312 and T63713.

Jdforrester-WMF triaged this task as Low priority.Sep 4 2015, 6:55 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 4 2015, 6:55 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 7:00 PM
TheDJ moved this task from To sort to TimedText on the TimedMediaHandler board.Oct 25 2015, 1:41 PM

Change 310594 had a related patch set uploaded (by Brion VIBBER):
New requeueTranscodes.php maint script for TMH

https://gerrit.wikimedia.org/r/310594

Change 310594 merged by jenkins-bot:
New requeueTranscodes.php maint script for TMH

https://gerrit.wikimedia.org/r/310594

TheDJ moved this task from TimedText to Doing on the TimedMediaHandler board.Sep 15 2016, 9:40 AM
TheDJ added a subscriber: TheDJ.

@brion can we close this now btw ?

@brion: Can we close this now?

brion closed this task as Resolved.Feb 22 2017, 6:53 PM
brion claimed this task.

requeueTranscodes.php is in active use, does the job. Closing.